curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/traffic \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/traffic"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/traffic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": 123,
"ajax": 0,
"api": 0,
"ddosBlocked": 0,
"origin2xx": 0,
"origin3xx": 0,
"originError4xx": 0,
"originError5xx": 0,
"monitored": 0,
"uncategorized": 0,
"static": 0,
"responseTime": 0,
"originTimeout": 0,
"customAllowed": 0,
"total": 0,
"passedToOrigin": 0,
"customBlocked": 0,
"policyAllowed": 0,
"policyBlocked": 0
}
]{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Fetch the traffic data for a specific domain.
Deprecated. Use GET /v1/analytics/traffic instead.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Query Parameters
Specifies the granularity of the result data.
daily, hourly, minutely Filter data items starting from a specified date in ISO 8601 format
"2024-04-13T00:00:00+01:00"
Filter data items up to a specified end date in ISO 8601 format. If not provided, defaults to the current date and time.
"2024-04-14T12:00:00Z"
Response
Successful Response
UNIX timestamp indicating when the traffic data was recorded
Number of AJAX requests made
Number of API requests made
Number of DDoS attack attempts successfully blocked
Number of successful HTTP 2xx responses from the origin server
Number of HTTP 3xx redirects issued by the origin server
Number of HTTP 4xx errors from the origin server
Number of HTTP 5xx errors from the origin server
Number of requests triggering monitoring actions
Requests resulting in neither blocks nor sanctions
Number of static asset requests
Average origin server response time in milliseconds
Number of timeouts experienced at the origin server
Number of requests allowed through custom rules
Total number of requests
Number of requests served directly by the origin server
Number of requests blocked due to custom rules
Number of requests allowed by security policies
Number of requests blocked by security policies
Was this page helpful?